.navtop {
  z-index: 1002;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: #fff;
  height: 60px;
  font-weight: 900;
  transform: translateY(0);
  transition: transform 0.3s ease;
  will-change: transform;
  display: flex;
  align-items: center;
  border-bottom: 1px solid gray;
}

.navtop a {
  text-decoration: none;
  color: #000;
}

.infotop.scrolled {
  left: 0;
  right: 0;
  border-radius: 0 0 10px 10px;
  margin: 0;
  transition: all 0.3s ease;
  margin-bottom: 15px;
}

.nav-list {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: absolute;
  right: 20px;
}

.nav-list li {
  display: flex;
  align-items: center;
  justify-content: center;
}


.nav-list div {
  background: gray;
  height: 3px;
  width: 3px;
  border-radius: 100px;
}

.logo {
  width: auto;
  height: 35px;
}

.logoa {
  display: flex;
  margin-left: 20px;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 1em;
  margin: 0;
  padding: 0;
}

nav a {
  color: white;
  text-decoration: none;
}

.menu-toggle {
  display: none;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
  width: 40px;
  height: 30px;
  cursor: pointer;
  position: fixed;
  right: 0;
  top: 15px;
  z-index: 1100;
  transition: transform 0.3s ease;
  border-radius: 100px;
  margin-right: 20px;
}

.menu-toggle span {
  display: block;
  height: 3px;
  background: #333;
  transition: all 0.3s ease;
}

.menu-toggle.open span:nth-child(1) {
  transform: rotate(30deg) translate(5px, 6.5px);
}

.menu-toggle.open span:nth-child(2) {
  transform: scaleX(0);
  opacity: 0;
}

.menu-toggle.open span:nth-child(3) {
  transform: rotate(-30deg) translate(5px, -6.5px);
}

.menu-toggle.open {
  transition: all 0.3s ease;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1005;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
}

.overlay.active {
  transition: all 0.3s ease;
  opacity: 1;
  pointer-events: all;
  background: rgba(0, 0, 0, 0.5);
}

.mobile-nav {
  position: fixed;
  right: -100%;
  width: 100%;
  max-width: 500px;
  height: 100%;
  top: 0;
  background: #fff;
  backdrop-filter: blur(5px);
  padding: 2em 1em;
  transition: right 0.3s ease;
  z-index: 1006;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  overflow-y: auto;
}
.mobile-nav.open {
  right: 0;
}

.mobile-nav ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 0;
  margin: 0;
  padding: 0;
  margin-top: 30px;
}

.mobile-nav li {
  transition: all 0.3s ease;
  border-radius: 5px;
  font-weight: 700;
  font-size: 18px;
  img {
    height: 22px;
    width: auto;
  }
}

.mobile-nav a {
  color: #333;
  text-decoration: none;
  display: flex;
  padding: 10px;
  display: flex;
  gap: 10px;
  align-items: center;
}

@media (max-width: 768px) {
  .navtop {
    height: 60px;
  }
  nav ul {
    display: none;
  }
  .menu-toggle {
    display: flex;
  }
  .nav-list {
    display: none;
  }
  .infotop {
    width: 100%;
  }
}

/**/
.no-transition,
.no-transition *,
.no-transition *::before,
.no-transition *::after {
  transition: none !important;
  animation: none !important;
}

/**/
#nav-information {
  display: none;
}
#nav-information.active {
  display: flex !important;
  background: #b40000;
  position: absolute;
  height: 60px;
  top: 60px;
  left: 0;
  right: 0;
  border-bottom: 1px solid gray;
  color: #fff;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  p {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    flex-wrap: wrap;
    width: max-content !important;
    margin: 0;
  }
  a {
    border: 1px solid #fff;
    padding: 5px 10px;
    padding-right: 35px;
    border-radius: 10px;
    position: relative;
    display: flex;
    align-items: center;
    margin-left: 10px;
    color: #fff;
    text-decoration: none;
    &::after {
      content: '';
      background-image: url(/img/icon/link.svg);
      background-size: cover;
      position: absolute;
      right: 10px;
      width: 20px;
      height: 20px;
      filter: invert(1);
    }
  }
}
body:has(#nav-information.active) {
  margin-top: 120px !important;
}